/***
General screen.css overwrites for forms
***/

form.webform-submission-form {position: relative;}
.o-grid__item span.c-alert-inline.c-alert-inline--help {margin-top: -18px; margin-bottom: 1rem;}
#input-wrapper-interested_monthly_email {margin-bottom: 1rem;}
#input-wrapper-lc {display: none;}
.submit-inline {display: inline-block; padding-top: 1rem;}
@media (min-width: 411px) { .submit-inline input {padding-right: 56px;} }
.submit-inline + svg {font-size: 20px; position: relative; right: 62px;}
@media (max-width: 410px) { .submit-inline + svg {display: none;} }
div#input-wrapper-allow_contact_agree_disclaimer {display: inline-block;}
.ajax-progress-throbber {position: absolute; margin-top: 12px; margin-left: 5px;}
.ajax-progress-throbber .throbber {background-image: url('../../../../sites/default/files/layout/loading-icon-yellow.gif'); background-size: 30px; padding: 14px;}
.ajax-progress-throbber .throbber + .message {display: none;}
.input-wrapper-upload_file .ajax-progress-throbber .throbber {}
.input-wrapper-upload_file {margin-top: 20px; margin-bottom: 0; padding-bottom: .25rem; font-size: .875rem; line-height: 1.88571em;}
.input-wrapper-upload_file label {margin-top: 0; font-weight: 600; color: #7c7369;}
.input-wrapper-upload_file .c-button--alpha {font-size: .875rem; padding: .3rem .6rem;}

form .webform-section-title {margin-top: .8rem;}
form .webform_hide + .o-grid__item > .webform-section-title {margin-top: 0;}
form .o-grid__item.upload, form .upload-single-file {margin-bottom: 20px;}
form .o-grid__item.upload .upload-description {margin-top: 20px;}
form .o-grid__item.upload .upload-description p, form .o-grid__item.upload .upload-description ul,
form .upload-single-file .upload-description p, form .upload-single-file .upload-description ul,
form .webform-section-title + p, form .webform-section-title + ul {margin: 8px 0; font-size: 14px; line-height: 18px;}
form .webform-section-title {font-weight: 600; color: #7c7369; margin-bottom: 0; padding-bottom: .25rem; font-size: 1.2rem; line-height: 1.8rem;}
@media (min-width: 680px) { form .o-grid__item.upload {display: flex; justify-content: flex-start;} }
@media (min-width: 680px) { form .o-grid__item.upload .upload-description {margin-top: 42px; padding-left: 40px;} }
@media (min-width: 680px) { form .euroroof-launch #input-wrapper-company {margin-top: 20px;} }

form .upload-single-file .messages--error {position: relative; margin: 0; left: 0; transform: translate(0); width: 100%; padding-bottom: 10px; color: red;}

form .spacer {margin-top: 6px;}

.euroroof-launch #input-wrapper-invoice label.input-wrapper-upload_file,
.euroroof-launch #input-wrapper-company_logo label.input-wrapper-upload_file {display: none;}

.form-managed-file {background-color: #f3f2f1; padding: .75rem; display: inline-block;}
.form-last__item {margin-top: 20px;}
.u-pt-epsilon.recaptcha {padding-top: 1rem;}
.form-item .description {padding-left: 1.25rem;padding-right: 0rem;font-size: .875rem;line-height: 1.65em;margin-top: -0.8rem;padding-left: 15px;color: #7A7369;}
.form-item .description strong {font-weight:normal;}
#input-wrapper-documents .form-managed-file input[type="checkbox"] {display: inline;}
#input-wrapper-documents .form-managed-file input[type="checkbox"] + label.option {display: inline; margin: 5px;}

@media (max-width: 767px) { #rc-imageselect, .g-recaptcha {transform: scale(0.77); -webkit-transform: scale(0.77); transform-origin: 0 0; -webkit-transform-origin: 0 0;} }
@media (max-width: 360px) { #rc-imageselect, .g-recaptcha {transform: scale(0.67); -webkit-transform: scale(0.67); transform-origin: 0 0; -webkit-transform-origin: 0 0;} }

.imce-item-preview.image {height:100%;}
.imce-item-preview .imce-preview-image {height:100%;}
.imce-item-preview .imce-preview-image img {height:100%;}

#house_warming {background-color: #e4e4e4; padding-top: 4rem; padding-bottom: 4rem;}
.radio-elem .c-label {display: none;}
.radio-elem .o-list__item {width: 100%;}
.radio-elem .o-list--horizontal .o-list__item+.o-list__item {margin-left: 0; margin-top: 5px;}

.input-wrapper-checkboxes {margin: 10px 0 20px;}
.input-wrapper-checkboxes .form-item {margin: 7px 0;}

#input-wrapper-kind_of_participation.hide_kind_of_participation {display: none;}

form#webform-submission-free-quote-node-33-form div#input-wrapper-allow_contact_agree_disclaimer {display: block; margin-bottom: 1rem;}
form#webform-submission-free-quote-node-33-form div#input-wrapper-interested_monthly_email {display: none;}

select.c-input-select {-webkit-appearance: none; -moz-appearance: none;}


form .euroroof-launch .clothes-select-wrapper {display: flex; justify-content: space-between; flex-wrap: wrap;}
@media (max-width: 991px) { form .euroroof-launch .clothes-select-wrapper {justify-content: flex-start;} }
@media (max-width: 767px) { form .euroroof-launch .clothes-select-wrapper {display: block;} }
form .euroroof-launch .clothes-select {width: 25%; padding-right: 100px; margin-top: 6px;}
@media (max-width: 991px) { form .euroroof-launch .clothes-select {margin-top: 12px;} }
@media (max-width: 767px) { form .euroroof-launch .clothes-select {margin-top: 20px;} }
form .euroroof-launch .clothes-select select {width: 120px;}
form .euroroof-launch .clothes-select img {width: 100%; max-width: 74px; height: 103px;}
@media (max-width: 991px) { form .euroroof-launch .clothes-select {width: 50%;} }
@media (max-width: 767px) { form .euroroof-launch .clothes-select {width: 100%;} }
form .clothes-size-chart {margin-top: 18px;}


/* form .form-item.blink-error label {
  color: red;
  -webkit-animation-name: blinker;
  -moz-animation-name: blinker;
  animation-name: blinker;
  -webkit-animation-duration: 350ms;
  -moz-animation-duration: 350ms;
  animation-duration: 350ms;
  -webkit-animation-iteration-count: 2;
  -moz-animation-iteration-count: 2;
  animation-iteration-count: 2;
} */
form .form-item.blink-error input {
  border-color: red;
}

@media (min-width: 768px) {
  .form-checkboxes {display: flex; justify-content: flex-start;}
  .form-checkboxes > .form-item + .form-item {margin-left: 30px;}
  /* .form-checkboxes > .form-item:first-child + .form-item {margin-left: 0;} */
}
.form-checkboxes input + label {
  position: relative;
  margin: 0;
  padding-left: 1.25rem;
  padding-right: 0rem;
  font-size: .875rem;
  line-height: 1.65em;
}
.form-checkboxes input + label::after {
  content: '';
  position: absolute;
  top: 3px;
  left: 0;
  width: 16px;
  height: 16px;
  border: 1px solid #E0DED8;
  border-radius: 50%;
  background-color: #fff;
  background-size: contain;
  background-position: center;
}
.form-checkboxes input:checked + label::after {
  background-image: url(/themes/recticel_insulation/img/svg/icon-dot.svg);
  border-color: #FECB00;
  box-shadow: 0 0 0 3px rgb(254 203 0 / 35%);
}
/* .form-checkboxes > .form-item:first-child {display: none;} */


.contact-form--title.small-text {
  padding-top: 2rem;
  padding-bottom: 1rem;
}
.contact-form--title.small-text > .o-container > .o-grid > .o-grid__item {width: 100% !important;}
.contact-form--title.small-text > .o-container > .o-grid > .o-grid__item > p {
  font-size: 0.9rem;
  line-height: 1.32rem;
}


div[data-drupal-messages] { display: none; }

.o-grid__item.recaptcha { max-width: 100% !important; }
.recaptcha #captcha { max-width: 100%; margin-top: 1rem; font-size: 14px; line-height: 20px; }
@media (max-width: 767px) { .recaptcha #captcha { font-size: 12px; line-height: 16px; } }
.recaptcha #captcha summary[role="button"] { display: none; }


.pardot-webform form.webform-submission-form h3.c-typo-subtitle::before {
  top: 0;
}